×

INDI Library v1.9.0 Released (23 Apr 2021)

Major INDI Library release v1.9.0 bring significant internal changes championed by @pawel-soja to modernize core INDI Library drivers and clients. New drivers for DeepSkyDad Flat Panel & Pegasus devices plus further improvements to PCM8 drivers.

indi_canon_ccd crash: latest update

  • Posts: 702
  • Thank you received: 52
Hi everyone

Speaks for itself. .
Log attached

Thanks,
Steve
kubuntu 20.04
700d, eq6, t7m
9 months 3 weeks ago #58555
Attachments:

Please Log in or Create an account to join the conversation.

  • Posts: 106
  • Thank you received: 4
Hi folks, this is my first post.
I have the exact same issue and a strange dependency problem.
I cannot install indi-full because it depends on indi-gphoto which depends on libraw20
In this context indi-pentax is mentioned too, which is under actual development?
If I try to install libraw20 apt informs me that it will purge kstars-bleeding kstars-bleeding-dbg and libraw19
This problem is quite new.
Hope this gives some kind of hint.
Powered by

GNU / Linux
Git
KDE neon
KStars | EKOS | INDI

and some cheap hardware
9 months 3 weeks ago #58559

Please Log in or Create an account to join the conversation.

  • Posts: 702
  • Thank you received: 52
Hi
There's an update:)
Let me know if you test it before i get a chance.
Cheers
kubuntu 20.04
700d, eq6, t7m
9 months 3 weeks ago #58560

Please Log in or Create an account to join the conversation.

  • Posts: 702
  • Thank you received: 52
The update uninstalls kstars!
sudo apt dist-upgrade -y
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages were automatically installed and are no longer required:
astrometry.net javascript-common kded5 kstars-bleeding-data libastrometry0 libatlas3-base libblas3 libcfitsio-bin
liberfa1 libjs-jquery libjs-jquery-datatables liblapack3 liblbfgsb0 python3-astrometry python3-astropy
python3-atomicwrites python3-attr python3-configobj python3-dateutil python3-decorator python3-exif python3-exifread
python3-hypothesis python3-importlib-metadata python3-more-itertools python3-numpy python3-packaging python3-pluggy
python3-ply python3-psutil python3-py python3-pyparsing python3-pytest python3-pytest-arraydiff python3-pytest-astropy
python3-pytest-astropy-header python3-pytest-doctestplus python3-pytest-openfiles python3-pytest-remotedata
python3-scipy python3-wcwidth python3-zipp qtgstreamer-plugins-qt5 source-extractor
Use 'sudo apt autoremove' to remove them.
The following packages will be REMOVED
kstars-bleeding kstars-bleeding-dbg libraw19
The following NEW packages will be installed
libraw20
The following packages will be upgraded:
indi-gphoto indi-pentax libraw-dev
3 to upgrade, 1 to newly install, 3 to remove and 0 not to upgrade.
Need to get 819 kB of archives.
After this operation, 114 MB disk space will be freed.
Get:1 ppa.launchpad.net/mutlaqja/ppa/ubuntu focal/main amd64 libraw-dev amd64 0.20.0~202008211452~ubuntu20.04.1 [362 kB]
Get:2 ppa.launchpad.net/mutlaqja/ppa/ubuntu focal/main amd64 indi-pentax amd64 1.0~202008212351~ubuntu20.04.1 [90,0 kB]
Get:3 ppa.launchpad.net/mutlaqja/ppa/ubuntu focal/main amd64 indi-gphoto amd64 3.0~202008212254~ubuntu20.04.1 [53,9 kB]
Get:4 ppa.launchpad.net/mutlaqja/ppa/ubuntu focal/main amd64 libraw20 amd64 0.20.0~202008211452~ubuntu20.04.1 [312 kB]
Fetched 819 kB in 2s (468 kB/s)
(Reading database ... 284507 files and directories currently installed.)
Removing kstars-bleeding (6:3.4.3+202007200529~ubuntu20.04.1) ...
Removing kstars-bleeding-dbg (6:3.4.3+202007200529~ubuntu20.04.1) ...
(Reading database ... 284493 files and directories currently installed.)
Preparing to unpack .../libraw-dev_0.20.0~202008211452~ubuntu20.04.1_amd64.deb ...
Unpacking libraw-dev:amd64 (0.20.0~202008211452~ubuntu20.04.1) over (0.19.6~202002010816~ubuntu20.04.1) ...
Preparing to unpack .../indi-pentax_1.0~202008212351~ubuntu20.04.1_amd64.deb ...
Unpacking indi-pentax (1.0~202008212351~ubuntu20.04.1) over (1.0~202007201723~ubuntu20.04.1) ...
Preparing to unpack .../indi-gphoto_3.0~202008212254~ubuntu20.04.1_amd64.deb ...
Unpacking indi-gphoto (3.0~202008212254~ubuntu20.04.1) over (3.0~202007201621~ubuntu20.04.1) ...
(Reading database ... 284493 files and directories currently installed.)
Removing libraw19:amd64 (0.19.6~202002010816~ubuntu20.04.1) ...
Selecting previously unselected package libraw20:amd64.
(Reading database ... 284486 files and directories currently installed.)
Preparing to unpack .../libraw20_0.20.0~202008211452~ubuntu20.04.1_amd64.deb ...
Unpacking libraw20:amd64 (0.20.0~202008211452~ubuntu20.04.1) ...
Setting up libraw20:amd64 (0.20.0~202008211452~ubuntu20.04.1) ...
Setting up indi-gphoto (3.0~202008212254~ubuntu20.04.1) ...
Setting up indi-pentax (1.0~202008212351~ubuntu20.04.1) ...
Setting up libraw-dev:amd64 (0.20.0~202008211452~ubuntu20.04.1) ...
Processing triggers for mime-support (3.64ubuntu1) ...
Processing triggers for libc-bin (2.31-0ubuntu9) ...
Processing triggers for desktop-file-utils (0.24-1ubuntu3) ...
steve@steve-acer:~$ sudo apt install kstars-bleeding
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies.
kstars-bleeding : Depends: libraw19 but it is not going to be installed
kubuntu 20.04
700d, eq6, t7m
9 months 3 weeks ago #58561

Please Log in or Create an account to join the conversation.

  • Posts: 702
  • Thank you received: 52
The git builds OK with libraw20.
kubuntu 20.04
700d, eq6, t7m
Last edit: 9 months 3 weeks ago by steve.
9 months 3 weeks ago #58562

Please Log in or Create an account to join the conversation.

  • Posts: 106
  • Thank you received: 4
Confirmed! libraw20 seems to be the culprit

I use a Canon EOS 600D and I have no problem to connect to the camera e.g. with this command:

gphoto2 --port usb --capture-image
Powered by

GNU / Linux
Git
KDE neon
KStars | EKOS | INDI

and some cheap hardware
9 months 3 weeks ago #58563

Please Log in or Create an account to join the conversation.

  • Posts: 34
  • Thank you received: 1
I am having same problem on a fresh install of indi.
It seem indi 1.8.6 is using libraw20 while the stable kstars uses libraw19.
They keep removing each other. Must wait for an update on kstars :(
9 months 3 weeks ago #58570

Please Log in or Create an account to join the conversation.

  • Posts: 217
  • Thank you received: 17
I am having the same problem, as I posted in another thread.

It is a dependency problem.

When trying to upgrade everything, there is this message:
The following packages have been kept back:
indi-gphoto
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.

$ sudo apt install indi-gphoto
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
indi-gphoto : Depends: libraw20 but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

If I try to force install libraw20, the result is that kstars-bleeding will be removed!
----
The following additional packages will be installed:
indi-gphoto
The following packages will be REMOVED:
kstars-bleeding kstars-bleeding-dbg libraw19
The following NEW packages will be installed:
libraw20
The following packages will be upgraded:
indi-gphoto
1 upgraded, 1 newly installed, 3 to remove and 0 not upgraded.
Need to get 368 kB of archives.
After this operation, 94.7 MB disk space will be freed.
Do you want to continue? [Y/n]

KStars should depend on the same library version as indi-gphoto.

What we need is
a) a KStars update that depends on libraw20, or
b) revert back to libraw19 for indi-gphoto.
9 months 3 weeks ago #58592

Please Log in or Create an account to join the conversation.

  • Posts: 702
  • Thank you received: 52
Hi

If you want it now, take the upgrade to libraw20 and let it remove kstars stable.

The git is good ATM. Build and install that until there's a fix?

Tested with indi-canon-ccd, indi-eqmod and indi-asi.

Even better, when you're back to stable, keep the git and help test:)

HTH,
Steve
kubuntu 20.04
700d, eq6, t7m
Last edit: 9 months 3 weeks ago by steve.
9 months 3 weeks ago #58596

Please Log in or Create an account to join the conversation.

  • Posts: 217
  • Thank you received: 17
Thanks for the info.

But, I don't want to be running a development version.
I stick with stable releases as much as I can.
Less work and less surprises ...
9 months 3 weeks ago #58600

Please Log in or Create an account to join the conversation.

  • Posts: 217
  • Thank you received: 17
If I use the nightly build, instead of the regular stable PPA, would it solve the issue?

I would think not, since Jasem has not posted in this thread or pushed a fix.
Right?

launchpad.net/~mutlaqja/+archive/ubuntu/indinightly
9 months 3 weeks ago #58603

Please Log in or Create an account to join the conversation.

  • Posts: 106
  • Thank you received: 4
I had no luck with the nightly build (switched this morning)
Powered by

GNU / Linux
Git
KDE neon
KStars | EKOS | INDI

and some cheap hardware
9 months 3 weeks ago #58605

Please Log in or Create an account to join the conversation.

Time to create page: 0.658 seconds